Package Gnumed :: Package wxpython :: Module gmPhraseWheel :: Class cMultiPhraseWheel |
[frames] | no frames]

# Class cMultiPhraseWheel

source code

     wx.TextCtrl --+
                   |
    cPhraseWheelBase --+
                       |
                      cMultiPhraseWheel

Instance Methods
__init__(self, *args, **kwargs) | source code
GetData(self, can_create=False, as_instance=False) Retrieve the data associated with the displayed string(s). | source code
enable_default_spellchecker(self) | source code
list2data_dict(self, data_items=None) | source code
Inherited from `cPhraseWheelBase`: `Disable`, `Enable`, `SetText`, `add_callback_on_lose_focus`, `add_callback_on_modified`, `add_callback_on_selection`, `add_callback_on_set_focus`, `display_as_valid`, `set_context`, `set_from_instance`, `set_from_pk`, `unset_context`

Class Variables
| phrase_separators = `property(_get_phrase_separators, _set_phra`...``
| displayed_strings = `property(_get_displayed_strings, lambda x: x)`
Inherited from `cPhraseWheelBase`: `accepted_chars`, `data`, `final_regex`, `final_regex_error_msg`, `speller_word_separators`, `static_tooltip_extra`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: cPhraseWheelBase.__init__

### GetData(self, can_create=False, as_instance=False) | source code
    Retrieve the data associated with the displayed string(s).

    - self._create_data() must set self.data if possible (/successful)
Overrides: cPhraseWheelBase.GetData (inherited documentation)

### enable_default_spellchecker(self) | source code
Overrides: cPhraseWheelBase.enable_default_spellchecker

Class Variable Details

  ### phrase_separators Value:
      property(_get_phrase_separators, _set_phrase_separators)